package meerkat.voting.gui.ballot_summary;

import javafx.fxml.FXML;
import javafx.scene.input.MouseEvent;
import meerkat.voting.gui.TwoWayNode;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * BallotSummaryController handle the behavior of ballot summary screen
 */
public class BallotSummaryController extends TwoWayNode {
    @FXML
    private void GetToSelectByPicture(MouseEvent mousePressed){
        this.currentStage.close();
        this.currentStage.setScene(this.previous.GetCurrentScene());
        this.previous.UpdateNode();
        this.currentStage.show();
    }

    @FXML
    private void GetToCastOrAudit(MouseEvent mousePressed){
        this.currentStage.close();
        this.currentStage.setScene(this.next.GetCurrentScene());
        this.next.UpdateNode();
        this.currentStage.show();
    }

    @Override
    public void UpdateNode() {
        // Nothing relevant to do
    }
}
